List in-stock dedicated servers
curl --request GET \
--url https://my.server.express/api/v1/client/dedicated/marketplace \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.server.express/api/v1/client/dedicated/marketplace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.server.express/api/v1/client/dedicated/marketplace"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": [
{
"tenantosId": 123,
"hostname": "<string>",
"cpu": "<string>",
"cpuCores": 123,
"cpuThreads": 123,
"ramMb": 123,
"diskMib": 123,
"datacenter": "<string>",
"shortDescription": "<string>",
"priceMinor": 123,
"currency": "<string>"
}
]
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Dedicated
List in-stock dedicated servers
TenantOS machines currently assigned to the stock user with a parseable, non-zero price in their description.
GET
/
v1
/
client
/
dedicated
/
marketplace
List in-stock dedicated servers
curl --request GET \
--url https://my.server.express/api/v1/client/dedicated/marketplace \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.server.express/api/v1/client/dedicated/marketplace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.server.express/api/v1/client/dedicated/marketplace"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": [
{
"tenantosId": 123,
"hostname": "<string>",
"cpu": "<string>",
"cpuCores": 123,
"cpuThreads": 123,
"ramMb": 123,
"diskMib": 123,
"datacenter": "<string>",
"shortDescription": "<string>",
"priceMinor": 123,
"currency": "<string>"
}
]
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}